Android Studio 更新 Android 6.0 之后无法使用 org.apache.http 包的问题

android6.0SDK中删除HttpClient的相关类的解决方法

一、出现的情况
在eclipse或 android studio开发,

设置android SDK的编译版本为23时,且使用了httpClient相关类的库项目:如android-async-http等等,会出现有一些类找不到的错误。

导入一些包,出现一片红。。。吓尿了。

二、原因
android 6.0(api 23) SDK,不再提供org.apache.http.*(只保留几个类).
三、解决方法

1.eclipse:
libs中加入
org.apache.http.legacy.jar

上面的jar包在:**\android-sdk-windows\platforms\android-23\optional下(需要下载android 6.0的SDK)

2.android studio:
在相应的module下的build.gradle中加入:

android {
    useLibrary 'org.apache.http.legacy'
}

注意放置的位置:是在android {}中

还可出现混淆错误,应注意不予混淆即可。
阅读更多
个人分类:
上一篇Eclipse报错 Unable to build: the file dx.jar was not loaded from the SDK folder
下一篇Android打包报错 SDK路径不对
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭